//! File option definitions

option_group!(
    #[doc = "Common file options"]
    pub enum FileOptionVariant<'de> {
        #[doc = "
            If `true`, makes certain access operations return an error if no data is available
            for reading or no buffer space is available for writing.
        "]
        0x1000: NonBlocking # 4 (bool),
    }
);
